Get Organization Project List
GET/api/v5/orgs/:org/repos
Request
Path Parameters
org stringrequired
Organization's path (path/login)
Query Parameters
access_token string
User authorization code
type string
Filter the type of public/private repositories, which can be all, public, private. Default: all
page integer
Current page number: defaults to 1
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
repo_type string
Filter repository type, which can be code: code repository, model: model repository, dataset: dataset repository, space: space, all: all repository types. Default: code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
idintegerrequired
full_namestringrequired
namespace objectrequired
idintegerrequired
typestringrequired
namestringrequired
pathstringrequired
html_urlstringrequired
pathstringrequired
namestringrequired
internalbooleanrequired
forkbooleanrequired
html_urlstringrequired
forks_countintegerrequired
stargazers_countintegerrequired
watchers_countintegerrequired
default_branchstringrequired
open_issues_countintegerrequired
project_creatorstringrequired
pushed_atstringrequired
created_atstringrequired
updated_atstringrequired
statusWarehouse status, 0: Start (indicating the warehouse is not archived), 2: Closed (indicating the warehouse is archived) (string)required
languagestringrequired
repo_typestringrequired
parent objectrequired
idintegerrequired
full_namestringrequired
human_namestringrequired
namespace objectrequired
idintegerrequired
typestringrequired
namestringrequired
pathstringrequired
full_namestringrequired
full_pathstringrequired
pathstringrequired
namestringrequired
descriptionstringrequired
ssh_url_to_repostringrequired
http_url_to_repostringrequired
web_urlstringrequired
created_atstringrequired
updated_atstringrequired
repo_typestringrequired
privatebooleanrequired
publicbooleanrequired
privatebooleanrequired
publicbooleanrequired
descriptionstringrequired
[
{
"id": 0,
"full_name": "string",
"namespace": {
"id": 0,
"type": "string",
"name": "string",
"path": "string",
"html_url": "string"
},
"path": "string",
"name": "string",
"internal": true,
"fork": true,
"html_url": "string",
"forks_count": 0,
"stargazers_count": 0,
"watchers_count": 0,
"default_branch": "string",
"open_issues_count": 0,
"project_creator": "string",
"pushed_at": "string",
"created_at": "string",
"updated_at": "string",
"status": "string",
"language": "string",
"repo_type": "string",
"parent": {
"id": 0,
"full_name": "string",
"human_name": "string",
"namespace": {
"id": 0,
"type": "string",
"name": "string",
"path": "string",
"full_name": "string",
"full_path": "string"
},
"path": "string",
"name": "string",
"description": "string",
"ssh_url_to_repo": "string",
"http_url_to_repo": "string",
"web_url": "string",
"created_at": "string",
"updated_at": "string",
"repo_type": "string",
"private": true,
"public": true
},
"private": true,
"public": true,
"description": "string"
}
]
{
"id": 29724198,
"full_name": "openharmony/.gitee",
"namespace": {
"id": 6486504,
"type": "group",
"name": "OpenHarmony",
"path": "openharmony",
"html_url": "https://gitcode.com/openharmony"
},
"path": ".gitee",
"name": ".gitee",
"description": "",
"private": false,
"public": true,
"internal": false,
"fork": false,
"html_url": "https://gitcode.com/openharmony/.gitee.git",
"forks_count": 4,
"stargazers_count": 0,
"watchers_count": 1,
"default_branch": "master",
"open_issues_count": 0,
"license": null,
"project_creator": "landwind",
"pushed_at": "2024-02-06T18:25:26+08:00",
"created_at": "2023-06-16T10:55:42+08:00",
"updated_at": "2024-03-29T14:59:46+08:00",
"status": "start",
"repo_type": "code"
}